DC_DEVICE_CLOSE(3)

NAME
dc_device_close - close a dive computer device

LIBRARY
libdivecomputer

SYNOPSIS
#include <libdivecomputer/device.h>
dc_status_t
dc_device_close(dc_device_t *device);

DESCRIPTION
Closes a dive computer device opened with dc_device_open(3). If device is NULL, this returns DC_STATUS_SUCCESS.

RETURN VALUES
Returns DC_STATUS_SUCCESS on success or one of several error values on error.

SEE ALSO
dc_device_open(3)

AUTHORS
The libdivecomputer library was written by Jef Driesen, jef@libdivecomputer.org. The manpages were written by Kristaps Dzonsons, kristaps@bsd.lv.